View Issue Details

IDProjectCategoryView StatusLast Update
0000199Bacula-Webfeaturepublic2017-08-27 11:39
ReporterwandihuttelAssigned Todavide 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version7.3.0 
Target Version8.0.0-rc1Fixed in Version8.0.0-rc1 
Summary0000199: Include a Kind of JobTotals
DescriptionIn bconsole there is a command to show a information about size of backups of all clients "JobTotals"

Should be interesting create something similar to show all bytes stored for every client.

Should be interesting separate for kind of Job (Backup or Restore)

The SQL query should be these ones:

SELECT count(*) AS Jobs,sum(JobFiles) AS Files, Type, sum(JobBytes) AS JobBytes, Name AS Job FROM Job WHERE Type in ('B','R') GROUP BY Name;
SELECT count(*) AS Jobs,sum(JobFiles) AS Files, Type, sum(JobBytes) AS JobBytes FROM Job WHERE Type in ('B','R') GROUP BY Type;
TagsNo tags attached.

Activities

davide

2017-02-27 09:52

manager   ~0000577

Good idea, I'll try to implement it soon

Thanks

davide

2017-08-27 10:05

manager   ~0000629

Implementing a new widget named "Clients jobs total" in Dashboard

davide

2017-08-27 11:39

manager   ~0000630

Featured added to 8.0.0-RC1

Issue History

Date Modified Username Field Change
2017-02-23 15:52 wandihuttel New Issue
2017-02-27 09:51 davide Assigned To => davide
2017-02-27 09:51 davide Status new => assigned
2017-02-27 09:52 davide Note Added: 0000577
2017-05-18 15:19 davide Target Version => 8.0.0-rc1
2017-08-27 10:05 davide Note Added: 0000629
2017-08-27 11:39 davide Status assigned => resolved
2017-08-27 11:39 davide Resolution open => fixed
2017-08-27 11:39 davide Fixed in Version => 8.0.0-rc1
2017-08-27 11:39 davide Note Added: 0000630